Package org.flowable.dmn.model

# Enum Class BuiltinAggregator

java.lang.Object
java.lang.Enum<BuiltinAggregator>
org.flowable.dmn.model.BuiltinAggregator

All Implemented Interfaces:
  `Serializable`, `Comparable<BuiltinAggregator>`, `Constable`

public enum BuiltinAggregator extends Enum<BuiltinAggregator>

Author:
  Yvo Swillens

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COUNT`
  `MAX`
  `MIN`
  `SUM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BuiltinAggregator`
  `get(String value)`
  `String`
  `getValue()`
  `static BuiltinAggregator`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuiltinAggregator[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUM

    public static final BuiltinAggregator SUM

  - ### COUNT

    public static final BuiltinAggregator COUNT

  - ### MIN

    public static final BuiltinAggregator MIN

  - ### MAX

    public static final BuiltinAggregator MAX

- ## Method Details

  - ### values

    public static BuiltinAggregator[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuiltinAggregator valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()

  - ### get

    public static BuiltinAggregator get(String value)